StreamBase C++ API 10.3.0.4

- Main Page
- Related Pages
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Classes | Public Types | Public Member Functions | List of all members
sb::DequeueResult Class Reference

Encapsulates the data returned from a dequeue() operation. More...

`#include <DequeueResult.hpp>`

## Classes
class | Interceptor
| A callback interface that can be implemented by an object that is associated with a StreamBaseClient and which gets used in the course of dequeuing tuples. More...

## Public Types
enum | Status { UNINITIALIZED = 0, GOOD = 1, TIMEOUT = 2, CLOSED = 3 }
| Possible Dequeue results status. More...

## Public Member Functions
| DequeueResult ()
| Default (null) Constructor. More...
| DequeueResult (const StreamProperties &props, const TupleList &tuples, const StreamBaseURI &serverURI, LeadershipStatus _leadershipStatus)
| Create a Dequeue Result with a list of tuples, with the given LeadershipStatus. More...
void | reuseTuple ()
| Currently a no-op maintained for backwards compatibility. More...
const DequeueResult::Status | getStatus () const
| Return the status of this DequeueResult. More...
const std::string & | getStreamName () const
| Returns the name of the stream on which tuples were dequeued. More...
int | getTupleCount () const
| Returns the number of tuples dequeued. More...
const StreamProperties & | getStreamProperties () const
| Returns the StreamProperties for this DequeueResult. More...
const Tuple & | getTuple (int index) const
| Returns the index'th tuple. More...
const TupleList & | getTuples () const
| Returns the list of tuples. More...
LeadershipStatus | getLeadershipStatus () const
| Return the leadership status of the server that produced this dequeue result. More...
const StreamBaseURI & | getServerURI () const
| return the server that produced these results More...

## Detailed Description

Encapsulates the data returned from a dequeue() operation.

Contains a stream name and a list of tuples.

## Member Enumeration Documentation

enum sb::DequeueResult::Status

Possible Dequeue results status.

## Constructor & Destructor Documentation

sb::DequeueResult::DequeueResult | ( |  | ) |
| inline

Default (null) Constructor.

sb::DequeueResult::DequeueResult | ( | const StreamProperties & | props,
|  | const TupleList & | tuples,
|  | const StreamBaseURI & | serverURI,
|  | LeadershipStatus | _leadershipStatus
| ) |  |

Create a Dequeue Result with a list of tuples, with the given LeadershipStatus.

## Member Function Documentation

LeadershipStatus sb::DequeueResult::getLeadershipStatus | ( |  | ) | const
| inline

Return the leadership status of the server that produced this dequeue result.

const StreamBaseURI& sb::DequeueResult::getServerURI | ( |  | ) | const
| inline

return the server that produced these results

const DequeueResult::Status sb::DequeueResult::getStatus | ( |  | ) | const

Return the status of this DequeueResult.

DequeueResult::GOOD means the DequeueResult contains tuples.

Returns
  the status of this DequeueResult

const std::string& sb::DequeueResult::getStreamName | ( |  | ) | const

Returns the name of the stream on which tuples were dequeued.

const StreamProperties& sb::DequeueResult::getStreamProperties | ( |  | ) | const

Returns the StreamProperties for this DequeueResult.

const Tuple& sb::DequeueResult::getTuple | ( | int | index | ) | const

Returns the index'th tuple.

int sb::DequeueResult::getTupleCount | ( |  | ) | const

Returns the number of tuples dequeued.

const TupleList& sb::DequeueResult::getTuples | ( |  | ) | const

Returns the list of tuples.

void sb::DequeueResult::reuseTuple | ( |  | ) |
| inline

Currently a no-op maintained for backwards compatibility.

Deprecated:

The documentation for this class was generated from the following file:

- DequeueResult.hpp